curl --request POST \
--url https://api.omniall.ai/v1/audio/speech \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "speech-2.8-hd",
"input": "Hello from Omniall AI",
"voice": "English_Graceful_Lady",
"response_format": "mp3"
}
'
"<string>"MiniMax audio
Speech synthesis
Text-to-speech compatible with OpenAI Audio Speech.
Path: POST https://api.omniall.ai/v1/audio/speech
Response is typically binary audio (mp3 / wav / …) unless upstream returns JSON.
Auth: Authorization: Bearer sk-...
POST
/
v1
/
audio
/
speech
curl --request POST \
--url https://api.omniall.ai/v1/audio/speech \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "speech-2.8-hd",
"input": "Hello from Omniall AI",
"voice": "English_Graceful_Lady",
"response_format": "mp3"
}
'
"<string>"Headers
Bearer API key.
Example:
"Bearer sk-..."
Body
application/json
TTS model id.
Example:
"speech-2.8-hd"
Text to synthesize. May include tone tags like (laughs).
Example:
"Hello from Omniall AI"
Voice id, e.g. English_Graceful_Lady.
Example:
"English_Graceful_Lady"
Speaking rate.
Output format, e.g. mp3, wav, flac.
Example:
"mp3"
MiniMax extensions (voice_setting, audio_setting, language_boost, …).
Response
Audio binary (or provider JSON)
The response is of type file.